Get Component

Get Component

Get a Component.

Request
URI
GET
https://vcf.broadcom.com/sddc-lcm/v1/components/{componentId}
COPY
Path Parameters
string
componentId
Required

Component Identifier.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Component of type(s) application/json
{
    "componentType": "componentType",
    "deploymentType": "OVA",
    "nodes": [
        {
            "size": "size",
            "fqdn": "fqdn",
            "ipAddress": "ipAddress",
            "name": "name",
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "nodeType": "nodeType",
            "version": "version",
            "status": "status"
        },
        {
            "size": "size",
            "fqdn": "fqdn",
            "ipAddress": "ipAddress",
            "name": "name",
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "nodeType": "nodeType",
            "version": "version",
            "status": "status"
        }
    ],
    "size": "size",
    "fqdn": "fqdn",
    "scope": "FLEET",
    "certificate": "certificate",
    "vspCluster": {
        "fqdn": "fqdn",
        "certificate": "certificate",
        "id": "id",
        "type": "MANAGEMENT"
    },
    "vcenter": {
        "fqdn": "fqdn",
        "sslThumbprint": "sslThumbprint",
        "id": "id"
    },
    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "version": "version"
}
string As uuid As uuid
id
Optional

Component Identifier.

string
componentType
Optional

Component Type.

string
deploymentType
Optional

Deployment Type.

Possible values are : OVA, VSP,
string
version
Optional

Component Version.

string
size
Optional

Component Size (e.g. Small/Medium/Large).

string
fqdn
Optional

Component FQDN.

string
certificate
Optional

PEM encoded certificate (chain).

array of object
nodes
Optional

Nodes forming a Component (cluster) (mostly applicable for OVA components or VSP cluster itself).

string
scope
Optional

Scope of the component - either FLEET or INSTANCE level.

Possible values are : FLEET, INSTANCE,
object
vcenter
Optional

vcenter

object
vspCluster
Optional

vspCluster


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

The specified resource was not found

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/components/{componentId}